Skip to main content
POST
/
evaluations
/
fromMetrics
Replay evaluations onto a new metric revision
curl --request POST \
  --url https://api.galtea.ai/evaluations/fromMetrics \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "newMetricId": "metric_123",
  "metricGroupId": "group_123",
  "productIds": [
    "prod_1",
    "prod_2"
  ]
}
'
{
  "scheduled": 123,
  "skipped": 123,
  "errors": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....

Body

application/json
newMetricId
string
required
Example:

"metric_123"

metricGroupId
string
required
Example:

"group_123"

productIds
string[]
required
Example:
["prod_1", "prod_2"]

Response

Replay job accepted

scheduled
integer
skipped
integer
errors
string[]